Subject: Re: [PATCH 8/9] xdiff: change rindex from long to size_t in xdfile_t

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 21 Oct 2025 10:34:00 +0200

On Wed, Oct 15, 2025 at 09:18:20PM +0000, Ezekiel Newren via GitGitGadget wrote:
> From: Ezekiel Newren <[email-masked]>
> 
> rindex describes a index offset which means it's an index into memory
> which should use size_t. dstart and dend will be deleted in a future
> patch series. Move them to the end to help avoid refactor conflicts.

In a patch like this I would appreciate some explanation why we can
change the type without adapting any of its users. So basically explain
why this refactoring is safe to do and won't cause any issues.

Patrick